org.richfaces.fragment.panel

## Class RichFacesPanel<HEADER,BODY>

- java.lang.Object
- - org.richfaces.fragment.panel.AbstractPanel<HEADER,BODY>
  - - org.richfaces.fragment.panel.RichFacesPanel<HEADER,BODY>

- Type Parameters:
    `HEADER` -
    `BODY` -
  All Implemented Interfaces:
    AdvancedInteractions<RichFacesPanel.AdvancedRichPanelInteractions>, AdvancedVisibleComponentIteractions<RichFacesPanel.AdvancedRichPanelInteractions>, Panel<HEADER,BODY>
  Direct Known Subclasses:
    TextualRichFacesPanel

      public abstract class RichFacesPanel<HEADER,BODY>
      extends AbstractPanel<HEADER,BODY>
      implements AdvancedVisibleComponentIteractions<RichFacesPanel.AdvancedRichPanelInteractions>

  Add to the final doc that there is example implementation in TextualRichFacesPanel, as the most used panel.
  Author:
    jhuska

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesPanel.AdvancedRichPanelInteractions`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.panel.AbstractPanel

      `AbstractPanel.AdvancedPanelInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesPanel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesPanel.AdvancedRichPanelInteractions` | `advanced()`

    - ### Methods inherited from class org.richfaces.fragment.panel.AbstractPanel

      `getBodyClass, getBodyContent, getHeaderClass, getHeaderContent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesPanel

          public RichFacesPanel()

  - ### Method Detail

    - #### advanced

          public RichFacesPanel.AdvancedRichPanelInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<RichFacesPanel.AdvancedRichPanelInteractions>`
      Specified by:
        `advanced` in class `AbstractPanel<HEADER,BODY>`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.